import com.sun.star.comp.loader.FactoryHelper;
import com.sun.star.lang.XMain;
import com.sun.star.lang.XMultiServiceFactory;
import com.sun.star.lang.XSingleServiceFactory;
import com.sun.star.lang.XTypeProvider;
import com.sun.star.registry.XRegistryKey;
import com.sun.star.uno.Type;
import com.sun.star.uno.XComponentContext;
import javax.swing.JTree;

public final class JTreeComponent implements XMain, XTypeProvider {
    public JTreeComponent(XComponentContext context) {}

    public int run(String[] arguments) {
        System.err.println("--- before new JTree");
        new JTree();
        System.err.println("--- after new JTree");
        return 0;
    }

    public Type[] getTypes() {
        return new Type[] {
            new Type(XMain.class), new Type(XTypeProvider.class) };
    }

    public byte[] getImplementationId() {
        return new byte[0];
    }


    public static boolean __writeRegistryServiceInfo(XRegistryKey key) {
        return
            FactoryHelper.writeRegistryServiceInfo(
                IMPLEMENTATION_NAME, SERVICE_NAME, key);
    }

    public static XSingleServiceFactory __getServiceFactory(
        String name, XMultiServiceFactory factory, XRegistryKey key)
    {
        if (name.equals(IMPLEMENTATION_NAME)) {
            return FactoryHelper.getServiceFactory(
                JTreeComponent.class, SERVICE_NAME, factory, key);
        } else {
            return null;
        }
    }

    private static final String IMPLEMENTATION_NAME = "JTreeComponent";
    private static final String SERVICE_NAME = "jtreecomponent";
}
